NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::RevolveBuilder Class Reference

Represents a revolve builder. More...

Inheritance diagram for NXOpen::Features::RevolveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::AxisAxis ()
 Returns the revolve axis. More...
 
NXOpen::GeometricUtilities::BooleanOperationBooleanOperation ()
 Returns the revolve boolean. More...
 
NXOpen::GeometricUtilities::FeatureOptionsFeatureOptions ()
 Returns the feature options. More...
 
NXOpen::GeometricUtilities::LimitsLimits ()
 Returns the limit data. More...
 
NXOpen::GeometricUtilities::FeatureOffsetOffset ()
 Returns the revolve offset. More...
 
NXOpen::SectionSection ()
 Returns the section. More...
 
void SetAxis (NXOpen::Axis *axis)
 Sets the revolve axis. More...
 
void SetEndLimitHelperPoint (const std::vector< double > &endHelperPoint)
 If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. More...
 
void SetSection (NXOpen::Section *section)
 Sets the section. More...
 
void SetStartLimitHelperPoint (const std::vector< double > &startHelperPoint)
 If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. More...
 
void SetTolerance (double tolerance)
 Sets the revolve tolerance. More...
 
NXOpen::GeometricUtilities::SmartVolumeProfileBuilderSmartVolumeProfile ()
 Returns the smart volume profile. More...
 
double Tolerance ()
 Returns the revolve tolerance. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a revolve builder.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateRevolveBuilder
Default values.

Property Value

SmartVolumeProfile.OpenProfileSmartVolumeOption

0


Created in NX3.0.1.

Member Function Documentation

NXOpen::Axis* NXOpen::Features::RevolveBuilder::Axis ( )

Returns the revolve axis.


Created in NX3.0.1.

License requirements : None

NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::RevolveBuilder::BooleanOperation ( )

Returns the revolve boolean.


Created in NX3.0.1.

License requirements : None

NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::RevolveBuilder::FeatureOptions ( )

Returns the feature options.


Created in NX4.0.0.

License requirements : None

NXOpen::GeometricUtilities::Limits* NXOpen::Features::RevolveBuilder::Limits ( )

Returns the limit data.


Created in NX3.0.1.

License requirements : None

NXOpen::GeometricUtilities::FeatureOffset* NXOpen::Features::RevolveBuilder::Offset ( )

Returns the revolve offset.


Created in NX3.0.1.

License requirements : None

NXOpen::Section* NXOpen::Features::RevolveBuilder::Section ( )

Returns the section.


Created in NX3.0.1.

License requirements : None

void NXOpen::Features::RevolveBuilder::SetAxis ( NXOpen::Axis axis)

Sets the revolve axis.


Created in NX3.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
axisaxis
void NXOpen::Features::RevolveBuilder::SetEndLimitHelperPoint ( const std::vector< double > &  endHelperPoint)

If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
endHelperPointIf given end trim limit intersects with revolve multiple times, solution closest to this point will be used.
void NXOpen::Features::RevolveBuilder::SetSection ( NXOpen::Section section)

Sets the section.


Created in NX3.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sectionThis parameter may not be NULL.
void NXOpen::Features::RevolveBuilder::SetStartLimitHelperPoint ( const std::vector< double > &  startHelperPoint)

If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startHelperPointIf given start trim limit intersects with revolve multiple times, solution closest to this point will be used.
void NXOpen::Features::RevolveBuilder::SetTolerance ( double  tolerance)

Sets the revolve tolerance.


Created in NX3.0.1.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
tolerancetolerance
NXOpen::GeometricUtilities::SmartVolumeProfileBuilder* NXOpen::Features::RevolveBuilder::SmartVolumeProfile ( )

Returns the smart volume profile.


Created in NX8.5.0.

License requirements : None

double NXOpen::Features::RevolveBuilder::Tolerance ( )

Returns the revolve tolerance.


Created in NX3.0.1.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.